'use strict'

const apemanfile = require('apemanfile')
const co = require('co')
const uiServer = require('./ui/ui_server')
const logger = require('./logger')

/** @lends apemanUi */
function apemanUi (options = {}) {
  let { port = 3000, configuration } = options

  let { $ui } = apemanfile(configuration || null)
  return co(function * () {
    let server = yield uiServer($ui, {})
    yield server.listen(port)
    Object.assign(server, { port })

    logger.notice(`server listening at port: ${port}`)
    return server
  })
}

module.exports = apemanUi
